Forums

OverviewV-Play 2 Support (Qt 5) › TexturePacker problems

Tagged: 

Viewing 12 posts - 1 through 12 (of 12 total)
  • Author
    Posts
  • #14178

    Benjamin

    Hi, i already posted this, but the post didnt appear, so i retry:

    If i load a TexturePacker exported json file, i get following error:

    QOpenGLShader::compile(Vertex): 0:1(8): error: syntax error, unexpected $end
    
    *** Problematic Vertex shader source code ***
    #define lowp
    #define mediump
    #define highp
    #line 1

    immediatly  followed by the same error, with another file.

    http://pastebin.com/BSqSCnWK

    Did i miss something?

     

    Edit:

    I develop under arch linux with the official qt installer, so to make sure its not an os problem, i deployed to an android device, which gives the same error.

    #14179

    Günther
    V-Play Team

    Hi Benjamin,

    Thank you for reporting the problem! We also recently noticed that there are such TexturePacker issues, probably introduced by the switch to Qt 5.7 in the last update. At the moment we are working on it. There will probably be small V-Play update as soon as we have it fixed – we’re sorry for any inconvenience this causes for you until that.

    Best,
    Günther

    #14180

    Alec

    I get errors too when using TexturePackerAnimatedSpriteVPlay. Nothing is drawn and the following error is constantly thrown:

     

    shader compilation failed: 
    "ERROR: Compiled vertex shader was corrupt.\nERROR: Compiled fragment shader was corrupt.\n"
    QOpenGLShader::link: ERROR: Compiled vertex shader was corrupt.
    ERROR: Compiled fragment shader was corrupt.
    
    QOpenGLShaderProgram::uniformLocation( qt_Matrix ): shader program is not linked
    QOpenGLShaderProgram::uniformLocation( qt_Opacity ): shader program is not linked
    QOpenGLShaderProgram::uniformLocation( animData ): shader program is not linked
    QOpenGLShaderProgram::uniformLocation( animPos ): shader program is not linked
    Failed to find shader ":/items/shaders/sprite.vert"
    Failed to find shader ":/items/shaders/sprite.frag"
    QOpenGLShader::link: ERROR: Compiled vertex shader was corrupt.
    ERROR: Compiled fragment shader was corrupt.

    This is on os x.

    Hoping for a fix soon.

    Regards,

    alb

    #14436

    Alec

    Any ETA on the fix for this or any workarounds. It’s a bit of a pain for me to change everything back to normal images.

     

    Cheers,

     

    alb

    #14437

    Christian
    V-Play Team

    Hi Alec,

    a new update where this issues is fixed is coming this week on Thursday!

    Cheers, Chris

    #14438

    Alec

    Great news, thanks. Hope you’ve had a good gamescom.

    #15852

    Alec

    Hi, I’m getting the same error when using TexturePacker items again with the switch to qt 5.8 and vplay 2.10.

    Tested with this basic code on iOS and mac OS:

     

    import VPlay 2.0
    import QtQuick 2.0
    
    GameWindow {
        id: gameWindow
    
        activeScene: scene
    
        screenWidth: 960
        screenHeight: 640
    
        Scene {
    
            Row{
                anchors.centerIn: parent
                MultiResolutionImage{
                    id: img
                    source: "../assets/vplay-logo.png"
                    width: 100; height: 100
                }
                TexturePackerAnimatedSpriteVPlay{
                    id: texturePackerSprite
                    source: "../assets/menu.json"
                    frameNames: "colors.png"
                    width: 100; height: 100
    
                }
            }
        }
    }

     

    #15881

    Günther
    V-Play Team

    Hi Alec!

    Thanks for reporting the issue – probably the switch to Qt 5.8 again affects the TexturePacker somehow.
    I added the problem to our bugtracker. We will have a closer look and keep you informed here.

    Best,
    Günther

    #15969

    Günther
    V-Play Team

    Hi Alec!

    I have good news: We had a closer look and implemented a fix for the shader issues. The fix will be part of a small maintenance update (V-Play 2.10.1). We hope to release the update already this week if possible.

    Best,
    Günther

    #16593

    Alec

    Hi,

    Before I upgrade, can anyone confirm that there are no texture packer problems with the jump to Qt 5.9.

    Cheers,

    alb

    #16599

    Lorenz

    Hi Alec,

    We didn’t experience any issues with TexturePacker in our internal Qt 5.9 Tests.

    All the best,

    Lorenz

    #16613

    Alec

    Great, thanks for getting back to me

Viewing 12 posts - 1 through 12 (of 12 total)

RSS feed for this thread

You must be logged in to reply to this topic.

Voted #1 for:

  • Easiest to learn
  • Most time saving
  • Best support

Develop Cross-Platform Apps and Games 50% Faster!

  • Voted the best supported, most time-saving and easiest to learn cross-platform development tool
  • Based on the Qt framework, with native performance and appearance on all platforms including iOS and Android
  • Offers a variety of plugins to monetize, analyze and engage users
FREE!
create apps
create games
cross platform
native performance
3rd party services
game network
multiplayer
level editor
easiest to learn
biggest time saving
best support